# eoFlOrKAtomBinOp< EOT > Class Template Reference

Bin Crossover using an Atom Crossover that is applied to a FIXED NB of components. More...

`#include <eoFlOrBinOp.h>`

Inheritance diagram for eoFlOrKAtomBinOp< EOT >:

List of all members.

## Public Types

typedef EOT::AtomType | AtomType

## Public Member Functions

| eoFlOrAtomBinOp (eoBinOp< AtomType > &_op, unsigned _k=1)
| default ctor: requires an Atom BinOp and an unsigned
bool | operator() (EOT &_eo1, const EOT &_eo2)
| applies the Atom BinOp to some components
virtual string | className () const
| inherited className()

## Private Attributes

unsigned | k
eoBinOp< AtomType > & | op

## Detailed Description

### template<class EOT>
class eoFlOrKAtomBinOp< EOT >

Bin Crossover using an Atom Crossover that is applied to a FIXED NB of components.

Definition at line 92 of file eoFlOrBinOp.h.

The documentation for this class was generated from the following file:

- eoFlOrBinOp.h